<template>
    <el-card class="u-left-nav" :class="rigthAb?'abt':''">
        <h5  class="n-title">个人空间</h5>
      <el-menu
        default-active="1"
        class="el-menu-vertical-demo n-nav"
        @open="handleOpen"
        @close="handleClose"
      >
        <el-menu-item :index="1-index" v-for="(item,index) in list" :key="index" @click="$router.push(item.path)">
          <el-icon> <component :is="item.icon"></component></el-icon>
          <span>{{ item.label }}</span>
        </el-menu-item>
      </el-menu>
      </el-card>
</template>

<script lang="ts" setup>
import { onMounted, ref } from 'vue';
onMounted(() => {
    // 监听滚动条位置
    window.addEventListener('scroll', scrollTop, true)
})
        const rigthAb=ref(false);
        const list = [
        {
          path: '/myPost',
          name: 'myPost',
          label: '我的帖子',
          icon: 'Tickets',
          // url: 'Home/Home'
        },
        {
          path: '/myComment',
          name: 'myComment',
          label: '我的评论',
          icon: 'ChatLineSquare',
          // url: 'MallManage/MallManage'
        },
        {
          path: '/myCollect',
          name: 'myCollect',
          label: '我的收藏',
          icon: 'Star',
          // url: 'UserManage/UserManage'
        },
        {
          path: '/myFans',
          name: 'myFans',
          label: '我的粉丝',
          icon: 'user',
          // url: 'UserManage/UserManage'
        },
        {
          path: '/myAtten',
          name: 'myAtten',
          label: '我的关注',
          icon: 'UserFilled',
          // url: 'UserManage/UserManage'
        },
        {
          path: '/upDatum',
          name: 'upDatum',
          label: '编辑资料',
          icon: 'Menu',
          // url: 'UserManage/UserManage'
        },
        {
          path: '/upDatum',
          name: 'user',
          label: '退出登录',
          icon: 'CircleCloseFilled',
          // url: 'UserManage/UserManage'
        },
      ];
 // 实时滚动条高度
 const scrollTop = () => {
      let scroll = document.documentElement.scrollTop || document.body.scrollTop;
     if(scroll>=1200){
        rigthAb.value = true
     }else{
        rigthAb.value = false
     }
}
</script>

<style lang="less">
.u-left-nav{

    .n-title{
        font-size: 20px;
        // font-weight: 700;
         padding-bottom: 10px ;
        border-bottom: 1px rgb(215, 215, 215) solid;
    }
    .n-nav{
       .el-menu-item{
        height: 66px;
        font-size: 18px;
       } 
    }
}
</style>